# Slab (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block.data.type, interface: Slab

Package org.bukkit.block.data.type

# Interface Slab

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface Slab extends Waterlogged
'type' represents what state the slab is in - either top, bottom, or a double slab occupying the full block.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Slab.Type`
The type of the slab.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Slab.Type`
`getType()`
Gets the value of the 'type' property.
`void`
`setType(@NotNull Slab.Type type)`
Sets the value of the 'type' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getType

@NotNull @NotNull Slab.Type getType()
Gets the value of the 'type' property.

Returns:
  the 'type' value

### setType

void setType(@NotNull @NotNull Slab.Type type)
Sets the value of the 'type' property.

Parameters:
  `type` - the new 'type' value